## ros-iron-tf2-sensor-msgs 0.31.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_sensor_msgs)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

# Figure out Python3 debug/release before anything else can find_package it
if(WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
  find_package(python_cmake_module REQUIRED)
  find_package(PythonExtra REQUIRED)
  # Force FindPython3 to use the debug interpretter where ROS 2 expects it
  set(Python3_EXECUTABLE "${PYTHON_EXECUTABLE_DEBUG}")
endif()
find_package(Python3 REQUIRED COMPONENTS Interpreter Development)

find_package(eigen3_cmake_module REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)

ament_python_install_package(${PROJECT_NAME})

add_library(${PROJECT_NAME} INTERFACE)
target_include_directories(${PROJECT_NAME} INTERFACE
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>"
)
target_link_libraries(${PROJECT_NAME} INTERFACE
  ${geometry_msgs_TARGETS}
  ${sensor_msgs_TARGETS}
  tf2::tf2
  tf2_ros::tf2_ros
)

if(TARGET Eigen3::Eigen)
  # TODO(sloretz) require target to exist when https://github.com/ros2/choco-packages/issues/19 is addressed
  target_link_libraries(${PROJECT_NAME} INTERFACE Eigen3::Eigen)
else()
  target_include_directories(${PROJECT_NAME} INTERFACE ${Eigen3_INCLUDE_DIRS})
endif()

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  # TODO(ros2/geometry2#259) Remove once headers
  # are renamed to .hpp
  set(ament_cmake_uncrustify_ADDITIONAL_ARGS --language CPP)
  set(ament_cmake_cppcheck_LANGUAGE c++)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)
  ament_add_pytest_test(test_tf2_sensor_msgs_py test/test_tf2_sensor_msgs.py)

  ament_add_gtest(test_tf2_sensor_msgs_cpp test/test_tf2_sensor_msgs.cpp)
  if(TARGET test_tf2_sensor_msgs_cpp)
    target_include_directories(test_tf2_sensor_msgs_cpp PUBLIC include)
    target_link_libraries(test_tf2_sensor_msgs_cpp
      ${geometry_msgs_TARGETS}
      ${sensor_msgs_TARGETS}
      rclcpp::rclcpp
      tf2::tf2
      tf2_ros::tf2_ros
    )
    if(TARGET Eigen3::Eigen)
      # TODO(sloretz) require target to exist when https://github.com/ros2/choco-packages/issues/19 is addressed
      target_link_libraries(test_tf2_sensor_msgs_cpp Eigen3::Eigen)
    else()
      target_include_directories(test_tf2_sensor_msgs_cpp PUBLIC ${Eigen3_INCLUDE_DIRS})
    endif()
  endif()
endif()

install(TARGETS ${PROJECT_NAME} EXPORT export_${PROJECT_NAME})
install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

ament_export_targets(export_${PROJECT_NAME})
ament_export_dependencies(
  "Eigen3"
  "geometry_msgs"
  "sensor_msgs"
  "tf2"
  "tf2_ros"
)

ament_package()

=== debian/changelog ===
ros-iron-tf2-sensor-msgs (0.31.5-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.31.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.31.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.31.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.31.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.31.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.30.0-1jammy) jammy; urgency=high

  * Update the demos to C++17. (#578 <https://github.com/ros2/geometry2/issues/578>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.29.0-1jammy) jammy; urgency=high

  * Update maintainers (#560 <https://github.com/ros2/geometry2/issues/560>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Nov 2022 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.28.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.27.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.26.2-1jammy) jammy; urgency=high

  * feat: export tf2 sensor msgs target (#536 <https://github.com/ros2/geometry2/issues/536>)
  * Contributors: Daisuke Nishimatsu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 14 Aug 2022 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.26.1-1jammy) jammy; urgency=high

  * tf2_sensor_msgs find the right Python executable. (#525 <https://github.com/ros2/geometry2/issues/525>)
  * Contributors: Jorge Perez

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 Jun 2022 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.26.0-1jammy) jammy; urgency=high

  * Add missing ament_cmake_pytest package needed because of newly-enabled test (#520 <https://github.com/ros2/geometry2/issues/520>)
  * Port point cloud transformation to numpy (#507 <https://github.com/ros2/geometry2/issues/507>)
  * Contributors: Florian Vahl, Michael Jeronimo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.25.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.24.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.23.0-1jammy) jammy; urgency=high

  * Disable mem-access warnings on aarch64. (#506 <https://github.com/ros2/geometry2/issues/506>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.22.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.21.0-1jammy) jammy; urgency=high

  * Fix cpplint errors (#497 <https://github.com/ros2/geometry2/issues/497>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.20.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.19.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 14 Oct 2021 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.18.0-1jammy) jammy; urgency=high

  * Reenable sensor_msgs test (#422 <https://github.com/ros2/geometry2/issues/422>)
  * Deprecate tf2_sensor_msgs.h (#416 <https://github.com/ros2/geometry2/issues/416>)
  * Contributors: Bjar Ne, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 31 May 2021 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.17.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.17.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Mar 2021 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.16.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.15.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 01 Nov 2020 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.14.1-1jammy) jammy; urgency=high

  * Activate usual compiler warnings and fix errors (#270 <https://github.com/ros2/geometry2/issues/270>)
  * Contributors: Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-iron-tf2-sensor-msgs (0.14.0-1jammy) jammy; urgency=high

  * Split tf2_ros in tf2_ros and tf2_ros_py (#210 <https://github.com/ros2/geometry2/issues/210>)


=== debian/control ===
Source: ros-iron-tf2-sensor-msgs
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-eigen3-cmake-module, ros-iron-geometry-msgs, ros-iron-python-cmake-module, ros-iron-rclcpp <!nocheck>, ros-iron-sensor-msgs, ros-iron-tf2, ros-iron-tf2-ros, ros-iron-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-iron-tf2-sensor-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, python3-numpy, ros-iron-eigen3-cmake-module, ros-iron-geometry-msgs, ros-iron-sensor-msgs, ros-iron-sensor-msgs-py, ros-iron-std-msgs, ros-iron-tf2, ros-iron-tf2-ros, ros-iron-tf2-ros-py, ros-iron-ros-workspace
Description: Small lib to transform sensor_msgs with tf.
 Most notably, PointCloud2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-tf2-sensor-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
